# 发布介绍

## npm 官网

<https://www.npmjs.com>

## 发布使用

### 登录

输入账户名、密码、邮箱地址，可能需要俩步验证，设置-密码-搜索 npm，输入验证码

```js
npm login
```

### 发布

可能也需要输入验证码，和登录时候查询一样。发布完成在个人中心就能看到自己发布的包了

```js
npm publish
```

### 使用

和使用 axios 等其他包一样。安装->导入->使用

```js
npm install wwd_test_utils
```

### 更新

不能直接 npm publish，需要更新 package.version 的版本号。再进行发布。
发布之后使用，如发布了一个 1.1.0 版本的包，进行使用的时候，也会更新 package-lock.json 中的版本号

```js
npm install wwd_test_utils@1.1.0
```

### 删除

```js
npm unpublish
```

### 让发布的包过期

```js
npm deprecate
```
